## ros-indigo-moveit-ros-benchmarks 0.7.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(moveit_ros_benchmarks)

if(NOT CMAKE_CONFIGURATION_TYPES AND NOT CMAKE_BUILD_TYPE)
  set(CMAKE_BUILD_TYPE Release)
endif()

find_package(Boost REQUIRED COMPONENTS date_time filesystem program_options system thread)

find_package(catkin REQUIRED COMPONENTS
  moveit_ros_planning
  moveit_ros_warehouse
  tf
  eigen_conversions
  roscpp
  rosconsole
)

catkin_package(
  INCLUDE_DIRS
    benchmarks/include
  LIBRARIES
    moveit_benchmark_execution
  CATKIN_DEPENDS
    moveit_ros_planning
    moveit_ros_warehouse
)

include_directories(benchmarks/include)

include_directories(${catkin_INCLUDE_DIRS})
include_directories(${Boost_INCLUDE_DIRS})

link_directories(${Boost_LIBRARY_DIRS})
link_directories(${catkin_LIBRARY_DIRS})

add_subdirectory(benchmarks)

=== benchmarks/CMakeLists.txt ===
set(MOVEIT_LIB_NAME moveit_benchmark_execution)

add_library(${MOVEIT_LIB_NAME} src/benchmark_execution.cpp src/benchmarks_utils.cpp)
set_target_properties(${MOVEIT_LIB_NAME} PROPERTIES VERSION 0.7.3)
target_link_libraries(${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

add_executable(moveit_run_benchmark src/run_benchmarks.cpp)
target_link_libraries(moveit_run_benchmark ${MOVEIT_LIB_NAME} ${catkin_LIBRARIES} ${Boost_LIBRARIES})

install(
  TARGETS
    ${MOVEIT_LIB_NAME}
    moveit_run_benchmark
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(
  PROGRAMS scripts/moveit_benchmark_statistics.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/ DESTINATION include)

=== debian/changelog ===
ros-indigo-moveit-ros-benchmarks (0.7.14-1trusty) trusty; urgency=high



 -- Dave Coleman <dave@dav.ee>  Sat, 20 Oct 2018 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.13-1trusty) trusty; urgency=high



 -- Dave Coleman <dave@dav.ee>  Mon, 25 Dec 2017 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 06 Aug 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 21 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Wed, 07 Jun 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.9-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Mon, 03 Apr 2017 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.8-1trusty) trusty; urgency=high

  * [fix][moveit_ros_warehouse] gcc6 build error #423 <https://github.com/ros-planning/moveit/pull/423>
  * Contributors: Dmitry Rozhkov

 -- Ioan Sucan <isucan@google.com>  Wed, 08 Mar 2017 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.7-1trusty) trusty; urgency=high

  * [maintenance] clang-format upgraded to 3.8 (#404 <https://github.com/ros-planning/moveit/issues/404>)
  * Contributors: Dave Coleman

 -- Ioan Sucan <isucan@google.com>  Mon, 06 Feb 2017 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 30 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.5-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 25 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.4-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 22 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.3-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 20 Dec 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Mon, 20 Jun 2016 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.1-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Mon, 11 Apr 2016 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.7.0-1trusty) trusty; urgency=high

  * Removed trailing whitespace from entire repository
  * Adding tf dep fixes
  * Contributors: Dave Coleman, Mr-Yellow

 -- Ioan Sucan <isucan@google.com>  Sat, 30 Jan 2016 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.6.5-1trusty) trusty; urgency=high

  * update maintainers
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Sat, 24 Jan 2015 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.6.4-1trusty) trusty; urgency=high

  * install moveit_benchmark_statistics.py
  * Contributors: Michael Ferguson

 -- Ioan Sucan <isucan@google.com>  Sat, 20 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.6.3-1trusty) trusty; urgency=high

  * Add missing include of scoped_ptr
  * Contributors: v4hn

 -- Ioan Sucan <isucan@google.com>  Wed, 03 Dec 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.6.2-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.6.1-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 31 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.6.0-1trusty) trusty; urgency=high

  * Removed PlanningContext clear before planning call
  * Contributors: Sachin Chitta, arjungm

 -- Ioan Sucan <isucan@google.com>  Mon, 27 Oct 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.19-1trusty) trusty; urgency=high

  * benchmarks: add missing include.
  * Fix broken log & output statements.
    - Address [cppcheck: coutCerrMisusage] and [-Werror=format-extra-args] errors.
    - ROS_ERROR -> ROS_ERROR_NAMED.
    - Print size_t values portably.
  * Address [-Wsign-compare] warning.
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Benjamin Chretien

 -- Ioan Sucan <isucan@google.com>  Mon, 23 Jun 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.18-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 23 Mar 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.17-1trusty) trusty; urgency=high

  * update build system for ROS indigo
  * update maintainer e-mail
  * Contributors: Ioan Sucan

 -- Ioan Sucan <isucan@google.com>  Sat, 22 Mar 2014 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.16-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 27 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.14-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.13-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 06 Feb 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.12-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 03 Jan 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.11-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 03 Jan 2014 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.10-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Sun, 08 Dec 2013 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.9-1trusty) trusty; urgency=high

  * Cleaned up var names and debug output

 -- Ioan Sucan <isucan@google.com>  Tue, 03 Dec 2013 08:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.8-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Fri, 11 Oct 2013 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.7-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Tue, 01 Oct 2013 07:00:00 -0000

ros-indigo-moveit-ros-benchmarks (0.5.6-1trusty) trusty; urgency=high



 -- Ioan Sucan <isucan@google.com>  Thu, 26 Sep 2013 07:00:00 -0000



=== debian/control ===
Source: ros-indigo-moveit-ros-benchmarks
Section: misc
Priority: extra
Maintainer: Dave Coleman <dave@dav.ee>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-eigen-conversions, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-warehouse, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-tf
Homepage: http://moveit.ros.org
Standards-Version: 3.9.2

Package: ros-indigo-moveit-ros-benchmarks
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-eigen-conversions, ros-indigo-moveit-ros-planning, ros-indigo-moveit-ros-warehouse, ros-indigo-rosconsole, ros-indigo-roscpp, ros-indigo-tf
Description: Enhanced tools for benchmarks in MoveIt!

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-moveit-ros-benchmarks//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
